import React, { ReactNode } from 'react';
import { GridShaderMode } from './GridShaderMode';
export type GridContextProps = {
    mode: GridShaderMode;
    data: Float32Array | Uint32Array;
    numColumns: number;
    numRows: number;
};
export declare const GridContext: React.Context<GridContextProps | null>;
export declare const GridContextProvider: (props: GridContextProps & {
    children: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export declare const useGridContext: () => GridContextProps;
export default GridContext;
